#!/usr/bin/env python
# -*- coding: utf-8 -*-

import gtk

class Preferences(object):
    def __init__(self):
        '''the object that set and store the preferences'''
        self.default_config()
        
    def default_config(self):
        '''The default preferences'''
        self.imageTypes = ('png', 'jpg', 'jpeg', 'xpm', 'gif', 'tif')
        #~ self.archiveTypes = ('cbr', 'cbz', 'cbt', 'cba', 'cb7', 'rar', 'zip', 'tar', 'ace', '7z', 'gz', 'bz2', 'ar')
        self.archiveTypes = ()
        self.mangaMode = False
        self.doubleMode = True
        self.zoomMode = False
        self.rotated = False
        self.clockwise = True
        self.shadow = True
        self.shadow_image_path = 'ui/images/page_shadow.png'
        self.is_fullscreen = False
